FlxpointAPI Help CenterBeta

Get Channel Shipping Methods

gethttps://api.flxpoint.com/shipping/channel-shipping-methods

Use this when you want to pull shipping data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Get Channel Shipping Method by `channel id` and `shipping policy id` or `shipping text`. Either `shipping policy id` or `shipping text` must be provided. If both values are provided preference will be given to `shipping policy id`.

Request

Query parameters
  • channelIdqueryinteger

    Channel Id

  • shippingPolicyIdqueryinteger

    Shipping Policy Id

  • shippingTextquerystring

    Shipping Text

  • idsquerystring

    Return specific shipping methods by passing in a comma separated list of Ids

Example request

get/shipping/channel-shipping-methods
curl -X GET "https://api.flxpoint.com/shipping/channel-shipping-methods" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[object]
idinteger
channelIdinteger
namestring
shippingPolicyIdinteger
deletedAtstring (date-time)
Example response
[
  {
    "id": 0,
    "channelId": 0,
    "name": "string",
    "shippingPolicyId": 0,
    "deletedAt": "2026-04-20T00:00:00Z"
  }
]
401Unauthorized

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Channel Shipping Methods",
    "description": "Get Channel Shipping Method by `channel id` and `shipping policy id` or `shipping text`.\nEither `shipping policy id` or `shipping text` must be provided.\nIf both values are provided preference will be given to `shipping policy id`.",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "channelId",
        "description": "Channel Id"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "shippingPolicyId",
        "description": "Shipping Policy Id "
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "shippingText",
        "description": "Shipping Text"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "ids",
        "description": "Return specific shipping methods by passing in a comma separated list of Ids"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/ChannelShippingMethod"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight